affycompPlot {affycomp} | R Documentation

## Assessment Plots

### Description

Function that makes assessment plot

### Usage

    affycompPlot(...,assessment.list=NULL,method.names=NULL,
                 figure1.xlim=c(-4,15),figure1.ylim=c(-10,12),
                 figure1b.xlim=c(-2,14),figure1b.ylim=c(-6,5),
                 figure6a.xlim=c(-12,12),figure6a.ylim=c(-12,12),
                 figure6b.xlim=c(-3,3),figure6b.ylim=c(-6,6))

    affycomp.compfigs(l, method.names = NULL, figure1.xlim = c(-4, 15),
                     figure1.ylim = c(-10, 12), figure1b.xlim = c(-4, 15),
                     figure1b.ylim = c(-4, 4), figure6a.xlim = c(-12, 12),
                     figure6a.ylim = c(-12, 12), figure6b.xlim = c(-3, 3),
                     figure6b.ylim = c(-6, 6))
    affycomp.figures(l)
    affycomp.figure.calls(what)
    affycomp.compfigs.calls(what)

### Arguments

`...` | lists produced by the assessment functions (one for each method) separated by commas.
`assessment.list` | Alternatively, one can also send a list of lists produced by one of the assessment functions
`method.names` | A character vector with the names of the epxression measure methodology.
`figure1.xlim` | x-axis lim used for the plots in Figure 1.
`figure1.ylim` | y-axis lim used for the plots in Figure 1.
`figure1b.xlim` | x-axis lim used for the plots in Figure 1b.
`figure1b.ylim` | y-axis lim used for the plots in Figure 1b.
`figure6a.xlim` | x-axis lim used for the plots in Figure 6a.
`figure6a.ylim` | y-axis lim used for the plots in Figure 6a.
`figure6b.xlim` | x-axis lim used for the plots in Figure 6b.
`figure6b.ylim` | y-axis lim used for the plots in Figure 6b.
`l` | list with assessment lists as components.
`what` | a dummy variable to know what function call to create.

### Details

Read the vignette for more details on what each Figure is. Once an assessment is used this function knows what to do. You can call any of the assessment functions described in `assessSpikeIn`, `assessDilution` and `assessSD`.

`affycomp.figures`, `affycomp.figure.calls`, `affycomp.compfigs.calls` are auxiliary functions.

### Value

Figures are produced.

### Author(s)

Rafael A. Irizarry

### Examples

    data(rma.assessment)
    data(mas5.assessment)
    affycompPlot(rma.assessment,mas5.assessment)
    affycompPlot(rma.assessment$FC)
    affycompPlot(rma.assessment$Dilution,mas5.assessment$Dilution)
    affycompPlot(rma.assessment$Dilution,mas5.assessment$Dilution)
    affycompPlot(rma.assessment$Signal,mas5.assessment$Signal)
    affycompPlot(rma.assessment$Dilution,mas5.assessment$Dilution)
    affycompPlot(rma.assessment$FC2,mas5.assessment$FC2)

[Package affycomp version 1.14.0 Index]